# H501_DescriptorUpdate Class Reference

`#include <h501.h>`

Inheritance diagram for H501_DescriptorUpdate:

List of all members.

## Public Member Functions

| H501_DescriptorUpdate (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_AliasAddress | m_sender
H501_ArrayOf_UpdateInformation | m_updateInfo

## Constructor & Destructor Documentation

H501_DescriptorUpdate::H501_DescriptorUpdate | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_DescriptorUpdate::GetDataLength | ( |  | ) | const

PBoolean H501_DescriptorUpdate::Decode | ( | PASN_Stream & | strm | ) |

void H501_DescriptorUpdate::Encode | ( | PASN_Stream & | strm | ) | const

void H501_DescriptorUpdate::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_DescriptorUpdate::Compare | ( | const PObject & | obj | ) | const

PObject* H501_DescriptorUpdate::Clone | ( |  | ) | const

## Member Data Documentation

H225_AliasAddress H501_DescriptorUpdate::m_sender

H501_ArrayOf_UpdateInformation H501_DescriptorUpdate::m_updateInfo

The documentation for this class was generated from the following file:

- h501.h